%global pypi_name opensearch-py

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        1%{?dist}
Summary:        Python low-level client for OpenSearch

License:        Apache-2.0
URL:            https://github.com/opensearch-project/%{pypi_name}
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-urllib3
BuildRequires:  python3-requests
BuildRequires:  python36-dateutil

%global _description %{expand:
opensearch-py is a community-driven, open source OpenSearch client
licensed under the Apache v2.0 License. 
For more information, see opensearch.org.}

%description %_description

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires: python%{python3_version}dist(urllib3)
Requires: python%{python3_version}dist(requests)
# No autoprovision in the pkg.
Requires: python36-dateutil


%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{version}

# certfi is patched to use fedora CERTs anyway so version kind of irrelevent.
sed -i 's/certifi>=2022\.12\.07/certifi/' setup.py


%build
%{py3_build}


%install
%{py3_install}


%check
%py3_check_import opensearchpy


%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/opensearch_py-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/opensearchpy
%doc README.md
%license LICENSE.txt


%changelog
* Fri May 12 2023 Steve Traylen <steve.traylen@cern.ch> - 2.2.0-1
- Update to 2.2.0 (rhbz#2203376)
- Enable python extra packages
- Update license to SPDX string.

* Sat Feb 12 2022 Steve Traylen <steve.traylen@cern.ch> -1.0.0-4
- Add requires as required on el7

* Sat Feb 12 2022 Steve Traylen <steve.traylen@cern.ch> -1.0.0-3
- Migrate to pyproject macros
- Migrate back to %py3 macros
- Provide python3 as well as python36.

* Thu Dec 9 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-2
- Review corrections rhbz#2016597

* Fri Oct 22 2021 Steve Traylen <steve.traylen@cern.ch> - 1.0.0-1
- Initial package.
